## lugdulov 0.6.2-1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(lugdulov)

include(CMakeDependentOption)

set(LUGDULOV_VERSION_MAJOR "0")
set(LUGDULOV_VERSION_MINOR "6")
set(LUGDULOV_VERSION_PATCH "2")

if(CMAKE_SYSTEM_NAME MATCHES Linux)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)
endif()
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

cmake_dependent_option(BUILD_STATIC_PLUGINS "build static plugins [default: off]" OFF "NOT BUILD_SHARED_LIBS" ON)
option(BUILD_UTILS "build cli utilities [default: off]" OFF)
option(LUGDULOV_LITE "build lite version [default: off]" OFF)
option(LUGDULOV_FULL_UI "use the 'full' ui [default: off]" OFF)
option(LUGDULOV_MEEGO "build for MeeGo [default: off]"  OFF)
option(LUGDULOV_QWIDGET "build the qwidget version [default: on]"  ON)
option(LUGDULOV_MEEGO "build the qml version [default: off]"  OFF)
option(LUGDULOV_APPUP "build AppUp stuff [default: off]" OFF)

include(lugdulov)

set(QTMOBILITY_MKSPEC_VERSION "11")

find_package(Qt4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QtMobility)

CHECK_SYMBOL_EXISTS(Q_WS_MAEMO_5 "QtCore/qglobal.h" Q_WS_MAEMO_5)

if (QT_MOBILITY_FOUND)
  message(STATUS "Found QtMobility ${QT_MOBILITY_VERSION}")
endif()

if (QT_MOBILITY_LOCATION_FOUND)
  message(STATUS "Found QtLocation")
endif()

if (LUGDULOV_APPUP)
  if (WIN32)
    set(HAVE_APPUP_SDK 1)
    message(STATUS "Building for AppUp")
	set(APPUP_LIBRARY_DIR "C:/Program Files/Intel/IntelAppUpSDK/Cpp/lib")
	set(APPUP_INCLUDE_DIR "C:/Program Files/Intel/IntelAppUpSDK/Cpp/include")
  else()
    message(FATAL_ERROR "AppUp SDK not supported on this platform")
  endif()
endif()

set(HAVE_QT_LOCATION ${QT_MOBILITY_LOCATION_FOUND})
set(HAVE_QT_BEARER ${QT_MOBILITY_BEARER_FOUND})

if (QT_MOBILITY_LOCATION_FOUND AND QT_MOBILITY_VERSION VERSION_GREATER 1.1.0 OR QT_MOBILITY_VERSION VERSION_EQUAL 1.1.0)
  option(QMAPCONTROL "use qmapcontrol [default: on]" ON)
else()
  message(STATUS "QGraphicsGeoMap not available, falling back to QMapControl")
  set(QMAPCONTROL 1)
endif()

set(USE_QMAPCONTROL ${QMAPCONTROL})

if (QT_VERSION VERSION_LESS "4.7.0")
  set(HAVE_QT_BEARER TRUE)
else()
  set(HAVE_QT_BEARER FALSE)
endif()

if (QT_VERSION VERSION_LESS "4.9.0")
  set(HAVE_KINETIC_SCROLLER_SOLUTION TRUE)
else()
  set(HAVE_KINETIC_SCROLLER_SOLUTION FALSE)
endif()

## GCC  ##
if (CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2")
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Wstrict-prototypes -Werror-implicit-function-declaration -Wno-pointer-sign")

  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2")
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif()

if(NOT EXECUTABLE_OUTPUT_PATH)
  set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin CACHE STRING
    "Single output directory for building all executables."
    FORCE)
endif()

if(NOT LIBRARY_OUTPUT_PATH)
  set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin CACHE STRING
    "Single output directory for building all libraries."
    FORCE)
endif()

# compile in debug mode
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif()

if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")


#add extra search paths for libraries and includes
set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
set(INCLUDE_INSTALL_DIR "include" CACHE STRING "Directory where include will install")

if (APPLE)
   set(PLUGIN_INSTALL_DIR "lugdulov.app/Contents/PlugIns/lugdulov")
   set(BIN_INSTALL_DIR "lugdulov.app/Contents/MacOS")
   set(LIB_INSTALL_DIR "lugdulov.app/Contents/MacOS")
elseif (WIN32)
   set(PLUGIN_INSTALL_DIR "bin/plugins/lugdulov")
   set(BIN_INSTALL_DIR "bin") # FIXME CMake bug
   set(LIB_INSTALL_DIR "bin") # FIXME CMake bug
else()
   set(PLUGIN_INSTALL_DIR "lib/lugdulov/plugins")
   set(BIN_INSTALL_DIR "bin")
   set(LIB_INSTALL_DIR "lib")
endif()

set (LUGDULOV_VERSION "${LUGDULOV_VERSION_MAJOR}.${LUGDULOV_VERSION_MINOR}.${LUGDULOV_VERSION_PATCH}")

# Use it
set(QT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)
if(WIN32) 
   set(QT_USE_QTMAIN TRUE) 
endif(WIN32) 
   
include(${QT_USE_FILE})

# Find config.h
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

if (HAVE_KINETIC_SCROLLER_SOLUTION)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/kineticscroller/include/)
  add_subdirectory(kineticscroller)
endif()

add_subdirectory(data)
add_subdirectory(common)
add_subdirectory(plugins)

if(QMAPCONTROL)
  add_subdirectory(qmapcontrol)
endif()

if(LUGDULOV_QWIDGET)
  add_subdirectory(lugdulov)
endif()
if(LUGDULOV_QML)
  add_subdirectory(lugdulov-qml)
endif()

if(BUILD_UTILS)
  add_subdirectory(utils)
endif()

add_subdirectory(pkg)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake config.h ESCAPE_QUOTES)

## Package ##

# Bundle only accept .txt files
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/COPYING ${CMAKE_CURRENT_BINARY_DIR}/COPYING.txt)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/README ${CMAKE_CURRENT_BINARY_DIR}/README.txt)

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Lugdulo'V")
set(CPACK_PACKAGE_VENDOR "iksaif.net")
set(CPACK_PACKAGE_VERSION_MAJOR ${LUGDULOV_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${LUGDULOV_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${LUGDULOV_VERSION_PATCH})
set(CPACK_VERSION ${LUGDULOV_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_BINARY_DIR}/README.txt")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_BINARY_DIR}/README.txt")
set(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_CURRENT_BINARY_DIR}/README.txt")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_BINARY_DIR}/COPYING.txt")
set(CPACK_PACKAGE_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
set(CPACK_SOURCE_IGNORE_FILES
  "~$"
  "^${PROJECT_SOURCE_DIR}/\\\\.git"
  "^${PROJECT_SOURCE_DIR}/build/")

if(WIN32)
  set(CPACK_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}-win32")
  set(CPACK_SOURCE_PACKAGE_FILE_NAME "lugdulov")
  set(CPACK_SOURCE_GENERATOR "ZIP")
  # set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
  set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/data/icons/lugdulov.ico")
  set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/data/icons/lugdulov.ico")
  #set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data/icons/lugdulov.ico")

  set(CPACK_PACKAGE_EXECUTABLES "lugdulov" "Lugdulo'V")

  set(CPACK_GENERATOR "ZIP;NSIS")
  set(CPACK_BINARY_NSIS "ON")
  set(CPACK_NSIS_MODIFY_PATH "OFF")
  set(CPACK_BINARY_CYGWIN "OFF")
  set(CPACK_SOURCE_CYGWIN "OFF")
  set(CPACK_NSIS_DISPLAY_NAME "Lugdulo'V")
  set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/lugdulov.html")
  set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/lugdulov.html")
  set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
  set(CPACK_PACKAGE_INSTALL_DIRECTORY "lugdulov")
elseif(APPLE)
  set(CPACK_GENERATOR "DragNDrop")

  set(CPACK_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}-osx")
  set(CPACK_PACKAGE_ICON ${CMAKE_SOURCE_DIR}/data/icons/lugdulov.icns)

  set(CPACK_BUNDLE_ICON ${CMAKE_SOURCE_DIR}/data/icons/lugdulov.icns)
  set(CPACK_BUNDLE_NAME "Lugdulo'V")
  set(CPACK_BUNDLE_STARTUP_COMMAND "${CMAKE_SOURCE_DIR}/pkg/osx/lugdulov-startup")
  set(CPACK_BUNDLE_PLIST ${CMAKE_BINARY_DIR}/Info.plist)

  #set(CPACK_DMG_BACKGROUND_IMAGE pkg/osx/background.png)
  #set(CPACK_DMG_DS_STORE pkg/osx/DS_Store)

  set(MACOSX_BUNDLE_GUI_IDENTIFIER "http://xf.iksaif.net/dev/lugdulov.html")
  set(MACOSX_BUNDLE_LONG_VERSION_STRING "Lugdulo'V" ${CPACK_VERSION})
  set(MACOSX_BUNDLE_BUNDLE_NAME "Lugdulo'V")
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${CPACK_VERSION})
  set(MACOSX_BUNDLE_BUNDLE_VERSION ${CPACK_VERSION})
  set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2010-2011 Corentin Chary")
  set(MACOSX_BUNDLE_INFO_STRING "Lugdulo'V - Find a bike in your city")
  set(MACOSX_BUNDLE_ICON_FILE "lugdulov.icns")
  set(MACOSX_BUNDLE_EXECUTABLE_NAME "${CMAKE_SOURCE_DIR}/pkg/osx/lugdulov-startup")
  configure_file(pkg/osx/Info.plist.in ${CMAKE_BINARY_DIR}/Info.plist)
  set(MACOSX_BUNDLE_INFO_PLIST ${CMAKE_BINARY_DIR}/Info.plist)

  install(FILES ${CMAKE_BINARY_DIR}/Info.plist DESTINATION lugdulov.app/Contents/)
  install(FILES data/icons/lugdulov.icns DESTINATION lugdulov.app/Contents/Resources)

  set(CPACK_BINARY_DRAGNDROP ON)
else()
  if (LUGDULOV_MEEGO)
    set(CPACK_PACKAGE_FILE_NAME "net.iksaif.lugdulov-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
    set(CPACK_SOURCE_PACKAGE_FILE_NAME "net.iksaif.lugdulov-${CPACK_VERSION}")
  else()
    set(CPACK_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
    set(CPACK_SOURCE_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}")
  endif()

  set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
endif()
include(CPack)

=== common/CMakeLists.txt ===
project(lugdulov_base)

include_directories(
  ${QJSON_INCLUDE_DIR}
)

if (QT_MOBILITY_FOUND)
  include_directories(
    ${QT_MOBILITY_INCLUDE_DIR}
    ${QT_MOBILITY_LOCATION_INCLUDE_DIR}
  )
  link_directories(${QT_MOBILITY_LIBRARY_DIR})
endif()

set(lugdulov_base_SRCS
  tools.cpp
  stationspluginfactorysimple.cpp
  stationsplugin.cpp
  stationspluginsimple.cpp
  stationspluginsingle.cpp
  stationsplugincyclocity.cpp
  stationsplugincitybike.cpp
  stationspluginnextbike.cpp
  stationspluginvelin.cpp
  stationsplugindupral.cpp
  stationspluginbixi.cpp
  stationspluginbixi2.cpp
  stationsplugintransdev.cpp
  stationspluginbcycle.cpp
  stationsplugincallabike.cpp
  station.cpp
  stationspluginmanager.cpp
  stationsmodel.cpp
  stationssortfilterproxymodel.cpp
  settings.cpp
)

set(lugdulov_base_MOC_HDRS
  stationsplugin.h
  stationspluginfactorysimple.h
  stationspluginsimple.h
  stationspluginsingle.h
  stationsplugincyclocity.h
  stationsplugincitybike.h
  stationspluginnextbike.h
  stationspluginvelin.h
  stationsplugindupral.h
  stationspluginbixi.h
  stationspluginbixi2.h
  stationsplugintransdev.h
  stationspluginbcycle.h
  stationsplugincallabike.h
  stationspluginmanager.h
  stationsmodel.h
  stationssortfilterproxymodel.h
  settings.h
)

if (HAVE_QT_BEARER)
  set(lugdulov_base_SRCS ${lugdulov_base_SRCS} onlinestatemanager.cpp)
  set(lugdulov_base_MOC_HDRS ${lugdulov_base_MOC_HDRS} onlinestatemanager.h)
endif()

qt4_wrap_cpp(lugdulov_base_MOC_SOURCE ${lugdulov_base_MOC_HDRS})

link_directories(
  ${QT_LIBRARY_DIR}
  ${QJSON_LIBRARY_DIRS}
)

# Shared library disabled on Maemo 5 because I can't make
# dh_shlibdeps work... (works on scratchbox)
if (CMAKE_COMPILER_IS_GNUCC AND NOT WIN32 AND NOT Q_WS_MAEMO_5 AND NOT BUILD_STATIC_PLUGINS)
  add_library(lugdulov_base SHARED ${lugdulov_base_SRCS} ${lugdulov_base_MOC_SOURCE})
  set_target_properties(lugdulov_base PROPERTIES
    VERSION ${LUGDULOV_VERSION_MAJOR}.${LUGDULOV_VERSION_MINOR}.${LUGDULOV_VERSION_PATCH}
    SOVERSION ${LUGDULOV_VERSION_MAJOR}.${LUGDULOV_VERSION_MINOR}
    DEFINE_SYMBOL LUGDULOV_BASE_MAKEDLL
  )
  install(TARGETS lugdulov_base
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  )
else()
  add_library(lugdulov_base STATIC ${lugdulov_base_SRCS} ${lugdulov_base_MOC_SOURCE})
  if (CMAKE_COMPILER_IS_GNUCC AND NOT WIN32)
    set_target_properties(lugdulov_base PROPERTIES COMPILE_FLAGS "-fPIC")
  endif()
endif()

if (QT_MOBILITY_LOCATION_FOUND)
  target_link_libraries(lugdulov_base ${QT_MOBILITY_LOCATION_LIBRARY})
endif ()

target_link_libraries(lugdulov_base
  ${QJSON_LIBRARIES}
  ${QT_LIBRARIES}
)

=== data/CMakeLists.txt ===
project(data)

set(data_RCS icons/icons.qrc i18n/i18n.qrc)
set(data_TRS
  i18n/lugdulov_fr.ts
  i18n/lugdulov_cs.ts
)
set_source_files_properties(${data_TRS} PROPERTIES OUTPUT_LOCATION ${data_SOURCE_DIR}/i18n)

qt4_add_translation(QM_FILES ${data_TRS})
qt4_add_resources(RC_SRCS ${data_RCS})

add_library(lugdulov_data STATIC
  ${QM_FILES}
  ${RC_SRCS}
)

=== lugdulov-qml/CMakeLists.txt ===
project(lugdulov_qml)

# Include the library include directories, and the current build directory (moc)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${qmapcontrol_SOURCE_DIR}
  ${QT_INCLUDE_DIR}
)

if (QT_MOBILITY_FOUND)
  include_directories(
    ${QT_MOBILITY_INCLUDE_DIR}
    ${QT_MOBILITY_INCLUDE_DIR}/QtMobility
  )
  link_directories(${QT_MOBILITY_LIBRARY_DIR})
endif()

set(lugdulov_SRCS
  main.cpp
)
set(lugdulov_MOC_HDRS
)

#set(lugdulov_RCS res/lugdulov.qrc i18n/i18n.qrc)
#set(lugdulov_TRS
#  i18n/lugdulov_fr.ts
#  i18n/lugdulov_cs.ts
#)
#set_source_files_properties(${lugdulov_TRS} PROPERTIES OUTPUT_LOCATION ${lugdulov_core_SOURCE_DIR}/i18n)

#_qt4_add_translation(QM_FILES ${lugdulov_TRS})
#qt4_wrap_cpp(MOC_SOURCE ${lugdulov_MOC_HDRS})
#qt4_wrap_ui(UI_HDRS ${lugdulov_UIS})
#qt4_add_resources(RC_SRCS ${lugdulov_RCS})

#if (WIN32)
# if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
#	set(GUI_TYPE WIN32)
# endif()
# add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
#                     COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/lugdulov.rc
#                     -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o )
# set(lugdulov_SRCS ${lugdulov_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
#endif ()

link_directories(
  ${QT_LIBRARY_DIR}
  ${QJSON_LIBRARY_DIRS}
)

add_executable(
  lugdulov_qml
#  ${GUI_TYPE}
  ${lugdulov_SRCS}
#  ${UI_HDRS}
#  ${MOC_SOURCE}
#  ${RC_SRCS}
#  ${QM_FILES}
)

if (QT_MOBILITY_LOCATION_FOUND)
  target_link_libraries(lugdulov_qml ${QT_MOBILITY_LOCATION_LIBRARY})
endif ()

if (QT_LOCATION_BEARER_FOUND)
  target_link_libraries(lugdulov_qml ${QT_LOCATION_BEARER_LIBRARY})
endif ()

#if (Q_WS_MAEMO_5)
#  target_link_libraries(lugdulov_qml QtMaemo5)
#endif()

if (BUILD_STATIC_PLUGINS)
  target_link_libraries(lugdulov_qml stationsfrance)
  target_link_libraries(lugdulov_qml stationsbelgium)
  target_link_libraries(lugdulov_qml stationsireland)
  target_link_libraries(lugdulov_qml stationsjapan)
  target_link_libraries(lugdulov_qml stationsluxembourg)
  target_link_libraries(lugdulov_qml stationsspain)
  target_link_libraries(lugdulov_qml stationsgermany)
  target_link_libraries(lugdulov_qml stationsunited-kingdom)
  target_link_libraries(lugdulov_qml stationscanada)
  target_link_libraries(lugdulov_qml stationsswitzerland)
  target_link_libraries(lugdulov_qml stationsaustria)
  target_link_libraries(lugdulov_qml stationslower-austria)
  target_link_libraries(lugdulov_qml stationslatvia)
  target_link_libraries(lugdulov_qml stationsnew-zealand)
  target_link_libraries(lugdulov_qml stationsusa)
  target_link_libraries(lugdulov_qml stationsaustralia)
  target_link_libraries(lugdulov_qml stationsturkey)
  target_link_libraries(lugdulov_qml stationsslovenia)
  target_link_libraries(lugdulov_qml stationspoland)
endif ()

target_link_libraries(
  lugdulov_qml
  lugdulov_base
  ${QT_LIBRARIES}
)

install(TARGETS lugdulov_qml
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
)

=== lugdulov/CMakeLists.txt ===
project(lugdulov_core)

# Include the library include directories, and the current build directory (moc)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${qmapcontrol_SOURCE_DIR}
  ${QT_INCLUDE_DIR}
)

if (QT_MOBILITY_FOUND)
  include_directories(
    ${QT_MOBILITY_INCLUDE_DIR}
    ${QT_MOBILITY_LOCATION_INCLUDE_DIR}
  )
  link_directories(${QT_MOBILITY_LIBRARY_DIR})
endif()

if(HAVE_APPUP_SDK AND WIN32)
  include_directories(${APPUP_INCLUDE_DIR})
  link_directories(${APPUP_LIBRARY_DIR})
endif()

set(lugdulov_SRCS
  main.cpp
  mainwindow.cpp
  stationdialog.cpp
  stationslistdialog.cpp
  stationslistwidget.cpp
  stationdelegate.cpp
  stationslistview.cpp
  pluginsdialog.cpp
  aboutdialog.cpp
  settingsdialog.cpp
  mapdialog.cpp)

set(lugdulov_UIS
  mainwindow.ui
  fullwindow.ui
  stationdialog.ui
  stationslistdialog.ui
  stationslistwidget.ui
  pluginsdialog.ui
  aboutdialog.ui
  settingsdialog.ui
  mapdialog.ui)

set(lugdulov_MOC_HDRS
  mainwindow.h
  stationdialog.h
  stationslistdialog.h
  stationslistwidget.h
  stationdelegate.h
  stationslistview.h
  pluginsdialog.h
  aboutdialog.h
  settingsdialog.h
  mapdialog.h)

if(LUGDULOV_LITE)
    set(lugdulov_SRCS ${lugdulov_SRCS} mapwidget_lite.cpp)
    set(lugdulov_MOC_HDRS ${lugdulov_MOC_HDRS} mapwidget_lite.h)
else()
  if (QMAPCONTROL)
    set(lugdulov_SRCS ${lugdulov_SRCS} mapwidget_qmapcontrol.cpp)
    set(lugdulov_MOC_HDRS ${lugdulov_MOC_HDRS} mapwidget_qmapcontrol.h)
  else()
    set(lugdulov_SRCS ${lugdulov_SRCS} mapwidget_qtm.cpp mapgraphicswidget_qtm.cpp)
    set(lugdulov_MOC_HDRS ${lugdulov_MOC_HDRS} mapwidget_qtm.h mapgraphicswidget_qtm.h)
  endif()
endif()

qt4_wrap_cpp(MOC_SOURCE ${lugdulov_MOC_HDRS})
qt4_wrap_ui(UI_HDRS ${lugdulov_UIS})

if(WIN32)
 if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
	set(GUI_TYPE WIN32)
 endif()

 if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
	 add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
						 COMMAND windres.exe -I${data_SOURCE_DIR}/icons -i${data_SOURCE_DIR}/icons/lugdulov.rc
						 -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o )
	 set(lugdulov_SRCS ${lugdulov_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
 else()
     set(lugdulov_SRCS ${lugdulov_SRCS} ${data_SOURCE_DIR}/icons/lugdulov.rc)
 endif()
endif ()

link_directories(
  ${QT_LIBRARY_DIR}
  ${QJSON_LIBRARY_DIRS}
)

add_executable(
  lugdulov
  ${GUI_TYPE}
  ${lugdulov_SRCS}
  ${UI_HDRS}
  ${MOC_SOURCE}
)

if (QT_MOBILITY_LOCATION_FOUND)
  target_link_libraries(lugdulov ${QT_MOBILITY_LOCATION_LIBRARY})
endif ()

if (QT_LOCATION_BEARER_FOUND)
  target_link_libraries(lugdulov ${QT_MOBILITY_BEARER_LIBRARY})
endif ()

if (Q_WS_MAEMO_5)
  target_link_libraries(lugdulov QtMaemo5)
endif()

if (BUILD_STATIC_PLUGINS)
  target_link_libraries(lugdulov stationsfrance)
  target_link_libraries(lugdulov stationsbelgium)
  target_link_libraries(lugdulov stationsireland)
  target_link_libraries(lugdulov stationsjapan)
  target_link_libraries(lugdulov stationsluxembourg)
  target_link_libraries(lugdulov stationsspain)
  target_link_libraries(lugdulov stationsgermany)
  target_link_libraries(lugdulov stationsunited-kingdom)
  target_link_libraries(lugdulov stationscanada)
  target_link_libraries(lugdulov stationsswitzerland)
  target_link_libraries(lugdulov stationsaustria)
  target_link_libraries(lugdulov stationslower-austria)
  target_link_libraries(lugdulov stationslatvia)
  target_link_libraries(lugdulov stationsnew-zealand)
  target_link_libraries(lugdulov stationsusa)
  target_link_libraries(lugdulov stationsaustralia)
  target_link_libraries(lugdulov stationsturkey)
  target_link_libraries(lugdulov stationsslovenia)
  target_link_libraries(lugdulov stationspoland)
  target_link_libraries(lugdulov stationstaiwan)
endif ()

target_link_libraries(
  lugdulov
  lugdulov_base
  lugdulov_data
  ${QJSON_LIBRARIES}
  ${QT_LIBRARIES}
)

if (QMAPCONTROL)
  target_link_libraries(lugdulov qmapcontrol)
endif()

if (HAVE_KINETIC_SCROLLER_SOLUTION)
  target_link_libraries(lugdulov kineticscroller)
endif()

if(HAVE_APPUP_SDK)
  target_link_libraries(lugdulov
						Psapi.lib Shlwapi.lib
						optimized adpcore.lib
						optimized adpcppf.lib
						debug adpcored.lib
						debug adpcppfd.lib)
endif()

install(TARGETS lugdulov
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
)

=== pkg/CMakeLists.txt ===
if(APPLE)
  add_subdirectory(osx)
elseif(Q_WS_MAEMO_5)
  add_subdirectory(maemo5)
elseif("${CMAKE_SYSTEM}" MATCHES "Linux")
  add_subdirectory(linux)
endif()

if(APPLE OR WIN32)
  if(APPLE)
    set(plugins_dest "lugdulov.app/Contents/PlugIns")
  elseif(WIN32)
    set(plugins_dest "${BIN_INSTALL_DIR}/plugins")
  endif()

  set(APPS "\${CMAKE_INSTALL_PREFIX}/${BIN_INSTALL_DIR}/lugdulov${CMAKE_EXECUTABLE_SUFFIX}")

  if (WIN32)
    install(FILES "${QT_PLUGINS_DIR}/imageformats/qjpeg4${CMAKE_SHARED_LIBRARY_SUFFIX}" DESTINATION "${plugins_dest}/imageformats")
  else()
    install(FILES "${QT_PLUGINS_DIR}/imageformats/${CMAKE_SHARED_LIBRARY_PREFIX}qjpeg${CMAKE_SHARED_LIBRARY_SUFFIX}" DESTINATION "${plugins_dest}/imageformats")
  endif()

  if (QT_MOBILITY_FOUND)
    install(DIRECTORY "${QT_PLUGINS_DIR}/geoservices" DESTINATION ${plugins_dest})
  endif()

  #if(WIN32)
  #  if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
  #    install(FILES "${QT_PLUGINS_DIR}/imageformats/qjpegd4.dll" DESTINATION "${plugins_dest}/imageformats")
  #	endif()
  #	install(FILES "${QT_PLUGINS_DIR}/imageformats/qjpeg4.dll" DESTINATION "${plugins_dest}/imageformats")
  #else()

  install(FILES "${QJSON_LIBRARIES}" DESTINATION ${BIN_INSTALL_DIR})

  #INSTALL(CODE "
  #  file(WRITE \"\${CMAKE_INSTALL_PREFIX}/qt.conf\" \"\")")

  set(DIRS
   ${QT_BINARY_DIR}
   ${QT_LIBRARY_DIR}
   ${APPUP_LIBRARY_DIR}
   ${QJSON_LIBRARY_DIRS}
   ${PLUGINS_INSTALL_DIR}
   ${LIB_INSTALL_DIR}
  )

  if(UNIX)
    set(DIRS ${DIRS}
      /lib/
      /usr/lib/
      /usr/local/lib/
    )
  endif()

  install(CODE "
    file(GLOB_RECURSE QTPLUGINS
      \"\${CMAKE_INSTALL_PREFIX}/${plugins_dest}/*/*${CMAKE_SHARED_LIBRARY_SUFFIX}\"
      )
    include(BundleUtilities)
    fixup_bundle(\"${APPS}\" \"\${QTPLUGINS}\" \"${DIRS}\")")
endif()

=== qtm-geoservices-extras/CMakeLists.txt ===
# Copyright (C) 2009-2010 Corentin Chary <corentin.chary@gmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

project(qtm-geoservices-extras)

#set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )

# Stop cmake 2.6 from whining
cmake_minimum_required(VERSION 2.6)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

# Options
option(STATIC_PLUGINS "build static plugins [default: off]" OFF)

# compile in debug mode
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")

# Find Qt4
find_package( Qt4 REQUIRED )
find_package( QtMobility REQUIRED)

#add extra search paths for libraries and includes
set (PLUGINS_INSTALL_DIR "plugins/geoservices/" CACHE STRING "Directory where lib will install")

set(QTM_GEOSERVICES_EXTRA_MAJOR_VERSION "0")
set(QTM_GEOSERVICES_EXTRA_MINOR_VERSION "2")
set(QTM_GEOSERVICES_EXTRA_PATCH_VERSION "0")

set(QTM_GEOSERVICES_EXTRA_VERSION_STRING "${QTM_GEOSERVICES_EXTRA_MAJOR_VERSION}.${QTM_GEOSERVICES_EXTRA_MINOR_VERSION}.${QTM_GEOSERVICES_EXTRA_PATCH_VERSION}")

# Include the cmake file needed to use qt4
set(QT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
include( ${QT_USE_FILE} )

# Subdirs
add_subdirectory(google)
add_subdirectory(openstreetmap)

# CPack
set(CPACK_VERSION_MAJOR ${QTM_GEOSERVICES_EXTRA_MAJOR_VERSION})
set(CPACK_VERSION_MINOR ${QTM_GEOSERVICES_EXTRA_MINOR_VERSION})
set(CPACK_VERSION_PATCH ${QTM_GEOSERVICES_EXTRA_PATCH_VERSION})
set(CPACK_VERSION ${QTM_GEOSERVICES_EXTRA_VERSION_STRING})
set(CPACK_PACKAGE_VERSION ${QTM_GEOSERVICES_EXTRA_VERSION_STRING})
set(CPACK_PACKAGE_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Google and Open Street Map plugins for Qt Mobility Location API.")
set(CPACK_PACKAGE_VENDOR "http://xf.iksaif.net/dev/qtm-geoservices-extras.html")
set(CPACK_SOURCE_IGNORE_FILES
  "~$"
  "^${PROJECT_SOURCE_DIR}/\\\\.git"
  "^${PROJECT_SOURCE_DIR}/build/")
#set(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BUILD_DIR};qttvdb;ALL;/")
set(CPACK_COMPONENTS_ALL plugins)
set(CPACK_COMPONENT_PLUGINS_DISPLAY_NAME "Plugins")
set(CPACK_COMPONENT_PLUGINS_DESCRIPTION "Google and Open Street Map plugins for Qt Mobility Location API.")
set(CPACK_PACKAGE_FILE_NAME "qtm-geoservices-extras-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "qtm-geoservices-extras-${CPACK_VERSION}")

if(NOT WIN32)
  set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
else()
  set(CPACK_GENERATOR "ZIP;NSIS")
  set(CPACK_SOURCE_GENERATOR "ZIP")
  set(CPACK_BINARY_CYGWIN "OFF")
  set(CPACK_SOURCE_CYGWIN "OFF")
  if (STATIC_PLUGINS)
    set(CPACK_PACKAGE_FILE_NAME "qtm-geoservices-extras-${CPACK_VERSION}-static-win32")
  else ()
    set(CPACK_PACKAGE_FILE_NAME "qtm-geoservices-extras-${CPACK_VERSION}-win32")
  endif()
  set(CPACK_BINARY_NSIS "ON")
  set(CPACK_NSIS_MODIFY_PATH "OFF")
  set(CPACK_NSIS_DISPLAY_NAME "Qt Mobility Extras Geoservices")
  set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/qtm-geoservices-extras.html")
  set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/qtm-geoservices-extras.html")
  set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
  set(CPACK_PACKAGE_INSTALL_DIRECTORY "qtm-geoservices-extras")
endif()

include(CPack)

=== kineticscroller/src/CMakeLists.txt ===
project(kineticscroller)

add_definitions(-DQTSCROLLER_NO_WEBKIT=1)

set(kineticscroller_SRCS
  qtflickgesture.cpp
  qtscroller.cpp
  qtscrollerfilter.cpp
  qtscrollerproperties.cpp
  qtscrollevent.cpp
)

if (APPLE)
  set(kineticscroller_SRCS
    ${kineticscroller_SRCS}
    qtscroller_mac.mm
  )
endif ()


set(kineticscroller_MOC_HDRS
  qtflickgesture_p.h
  qtscroller.h
  qtscroller_p.h
  qtscrollerfilter_p.h
)

qt4_wrap_cpp(kineticscroller_MOC_SOURCE ${kineticscroller_MOC_HDRS})

link_directories(${QT_LIBRARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_library(kineticscroller STATIC
  ${kineticscroller_SRCS}
  ${kineticscroller_MOC_SOURCE}
)

target_link_libraries(kineticscroller ${QT_LIBRARIES})

if (APPLE)
  target_link_libraries(kineticscroller "-framework Cocoa")
endif()

=== plugins/france/CMakeLists.txt ===
project(france)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${QJSON_INCLUDE_DIR}
)

set(france_SRCS
  factory.cpp
  larochelle.cpp
  lyon.cpp
  orleans.cpp
  rennes.cpp
)

set(france_TRS
  lugdulov_france_fr.ts
)

set(france_HDRS
  factory.h
  larochelle.h
  lyon.h
  orleans.h
  rennes.h
)

set_source_files_properties(${france_TRS} PROPERTIES OUTPUT_LOCATION ${france_SOURCE_DIR})

qt4_wrap_cpp(france_MOC_SRCS ${france_HDRS})

qt4_add_resources(france_RC_SRCS france.qrc)

qt4_add_translation(QM_FILES ${france_TRS})

add_plugin(stationsfrance ${france_SRCS} ${france_MOC_SRCS} ${france_RC_SRCS})

=== qtm-geoservices-extras/google/CMakeLists.txt ===
# Copyright (C) 2009-2010 Corentin Chary <corentin.chary@gmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

project(qtgeoservices_google)

include_directories (
  ${CMAKE_CURRENT_BUILD_DIR}
  ${QT_MOBILITY_INCLUDE_DIR}
  ${QT_MOBILITY_LOCATION_INCLUDE_DIR}
  ${QT_INCLUDE_DIR}
)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)

if (STATIC_PLUGINS)
  add_definitions(-DQT_STATICPLUGIN)
  set(PLUGIN_TYPE STATIC)
else()
  add_definitions(-DQT_SHARED)
  set(PLUGIN_TYPE SHARED)
endif()


set (google_SRCS
  qgeomappingmanagerengine_google.cpp
  qgeomapreply_google.cpp
  qgeoserviceproviderplugin_google.cpp
)

set (google_HDRS
  qgeomappingmanagerengine_google.h
  qgeomapreply_google.h
  qgeoserviceproviderplugin_google.h
)

qt4_wrap_cpp(google_MOCS ${google_HDRS})

add_library (qtgeoservices_google ${PLUGIN_TYPE} ${google_SRCS} ${google_MOCS})

link_directories(${QT_MOBILITY_LIBRARY_DIR})
target_link_libraries(qtgeoservices_google
	${QT_LIBRARIES}
	${QT_MOBILITY_LOCATION_LIBRARY}
)

install(TARGETS qtgeoservices_google
  COMPONENT plugins
  LIBRARY DESTINATION ${PLUGINS_INSTALL_DIR}
  RUNTIME DESTINATION ${PLUGINS_INSTALL_DIR}
  ARCHIVE DESTINATION ${PLUGINS_INSTALL_DIR}
)

=== qtm-geoservices-extras/openstreetmap/CMakeLists.txt ===
# Copyright (C) 2009-2010 Corentin Chary <corentin.chary@gmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

project(qtgeoservices_osm)

include_directories (
  ${CMAKE_CURRENT_BUILD_DIR}
  ${QT_MOBILITY_INCLUDE_DIR}
  ${QT_MOBILITY_LOCATION_INCLUDE_DIR}
  ${QT_INCLUDE_DIR}
)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)

if (STATIC_PLUGINS)
  add_definitions(-DQT_STATICPLUGIN)
  set(PLUGIN_TYPE STATIC)
else()
  add_definitions(-DQT_SHARED)
  set(PLUGIN_TYPE SHARED)
endif()


set (osm_SRCS
  qgeomappingmanagerengine_osm.cpp
  qgeomapreply_osm.cpp
  qgeoserviceproviderplugin_osm.cpp
  qgeocodeparser.cpp
  qgeosearchreply_osm.cpp
  qgeosearchmanagerengine_osm.cpp
  qgeoroutingmanagerengine_osm.cpp
  qgeoroutereply_osm.cpp
  routeparser.cpp
)

set (osm_HDRS
  qgeomappingmanagerengine_osm.h
  qgeomapreply_osm.h
  qgeoserviceproviderplugin_osm.h
  qgeosearchreply_osm.h
  qgeosearchmanagerengine_osm.h
  qgeoroutingmanagerengine_osm.h
  qgeoroutereply_osm.h
)

qt4_wrap_cpp(osm_MOCS ${osm_HDRS})

add_library (qtgeoservices_osm ${PLUGIN_TYPE} ${osm_SRCS} ${osm_MOCS})

link_directories(${QT_MOBILITY_LIBRARY_DIR})
target_link_libraries(qtgeoservices_osm
	${QT_LIBRARIES}
	${QT_MOBILITY_LOCATION_LIBRARY}
)

install(TARGETS qtgeoservices_osm
  COMPONENT plugins
  LIBRARY DESTINATION ${PLUGINS_INSTALL_DIR}
  RUNTIME DESTINATION ${PLUGINS_INSTALL_DIR}
  ARCHIVE DESTINATION ${PLUGINS_INSTALL_DIR}
)

=== pkg/maemo5/debian/changelog ===
lugdulov (0.6.2-1) unstable; urgency=low

  * Fix some cities

 -- Corentin Chary <corentincj@iksaif.net>  Wed, 14 Mar 2012 00:00:00 +0200

 lugdulov (0.6.1-1) unstable; urgency=low

  * Fix last CycloCity cities

 -- Corentin Chary <corentincj@iksaif.net>  Thur, 10 Nov 2011 00:00:00 +0200

=== pkg/ubuntu/debian/changelog ===
lugdulov (0.6.2-1) oneiric; urgency=low

  * Fix some cities

 -- Corentin Chary <corentincj@iksaif.net>  Wed, 14 Mar 2012 00:00:00 +0200

 lugdulov (0.6.1-1) oneiric; urgency=low

  * Fix last CycloCity cities

 -- Corentin Chary <corentincj@iksaif.net>  Thur, 10 Nov 2011 00:00:00 +0200

=== qtm-geoservices-extras/pkg/ubuntu/debian/changelog ===
qtm-geoservices-extras (0.2.0-1) oneiric; urgency=low

  * New upstream release.

 -- Corentin Chary <corentin.chary@gmail.com>  Sun, 15 Oct 2011 19:44:37 +0200

=== qtm-geoservices-extras/pkg/ubuntu/debian/control ===
Source: qtm-geoservices-extras
Priority: extra
Maintainer: Corentin Chary <corentin.chary@gmail.com>
Build-Depends: debhelper (>= 7), cdbs, libqt4-dev, qtmobility-dev
Standards-Version: 3.8.3
Section: libs
Homepage: http://xf.iksaif.net/dev/qtm-geoservices-extras.html

Package: qtm-geoservices-google
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QtLocation plugin for Google Maps.

Package: qtm-geoservices-osm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QtLocation plugins for OpenStreetMap.

=== qtm-geoservices-extras/pkg/ubuntu/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

=== qtm-geoservices-extras/pkg/ubuntu/debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://xf.iksaif.net/dev/qtm-geoservices-extras/qtm-geoservices-extras-(.*)\.tar\.gz
